<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AreaCode StructType
 * @subpackage Structs
 */
class AreaCode extends AbstractStructBase
{
    /**
     * The areacode
     * @var string
     */
    public $areacode;
    /**
     * Constructor method for AreaCode
     * @uses AreaCode::setAreacode()
     * @param string $areacode
     */
    public function __construct($areacode = null)
    {
        $this
            ->setAreacode($areacode);
    }
    /**
     * Get areacode value
     * @return string|null
     */
    public function getAreacode()
    {
        return $this->areacode;
    }
    /**
     * Set areacode value
     * @param string $areacode
     * @return \StructType\AreaCode
     */
    public function setAreacode($areacode = null)
    {
        // validation for constraint: string
        if (!is_null($areacode) && !is_string($areacode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($areacode, true), gettype($areacode)), __LINE__);
        }
        $this->areacode = $areacode;
        return $this;
    }
}
