<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for carRDWCarDataOptionsRequestType StructType
 * @subpackage Structs
 */
class CarRDWCarDataOptionsRequestType extends AbstractStructBase
{
    /**
     * The car_id
     * @var string
     */
    public $car_id;
    /**
     * Constructor method for carRDWCarDataOptionsRequestType
     * @uses CarRDWCarDataOptionsRequestType::setCar_id()
     * @param string $car_id
     */
    public function __construct($car_id = null)
    {
        $this
            ->setCar_id($car_id);
    }
    /**
     * Get car_id value
     * @return string|null
     */
    public function getCar_id()
    {
        return $this->car_id;
    }
    /**
     * Set car_id value
     * @param string $car_id
     * @return \StructType\CarRDWCarDataOptionsRequestType
     */
    public function setCar_id($car_id = null)
    {
        // validation for constraint: string
        if (!is_null($car_id) && !is_string($car_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($car_id, true), gettype($car_id)), __LINE__);
        }
        $this->car_id = $car_id;
        return $this;
    }
}
