<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CarVWEMeldcodeCheck StructType
 * @subpackage Structs
 */
class CarVWEMeldcodeCheck extends AbstractStructBase
{
    /**
     * The license_plate
     * @var string
     */
    public $license_plate;
    /**
     * The correct
     * @var bool
     */
    public $correct;
    /**
     * Constructor method for CarVWEMeldcodeCheck
     * @uses CarVWEMeldcodeCheck::setLicense_plate()
     * @uses CarVWEMeldcodeCheck::setCorrect()
     * @param string $license_plate
     * @param bool $correct
     */
    public function __construct($license_plate = null, $correct = null)
    {
        $this
            ->setLicense_plate($license_plate)
            ->setCorrect($correct);
    }
    /**
     * Get license_plate value
     * @return string|null
     */
    public function getLicense_plate()
    {
        return $this->license_plate;
    }
    /**
     * Set license_plate value
     * @param string $license_plate
     * @return \StructType\CarVWEMeldcodeCheck
     */
    public function setLicense_plate($license_plate = null)
    {
        // validation for constraint: string
        if (!is_null($license_plate) && !is_string($license_plate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($license_plate, true), gettype($license_plate)), __LINE__);
        }
        $this->license_plate = $license_plate;
        return $this;
    }
    /**
     * Get correct value
     * @return bool|null
     */
    public function getCorrect()
    {
        return $this->correct;
    }
    /**
     * Set correct value
     * @param bool $correct
     * @return \StructType\CarVWEMeldcodeCheck
     */
    public function setCorrect($correct = null)
    {
        // validation for constraint: boolean
        if (!is_null($correct) && !is_bool($correct)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($correct, true), gettype($correct)), __LINE__);
        }
        $this->correct = $correct;
        return $this;
    }
}
