<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for carVWEPhotosRequestType StructType
 * @subpackage Structs
 */
class CarVWEPhotosRequestType extends AbstractStructBase
{
    /**
     * The atl_code
     * @var int
     */
    public $atl_code;
    /**
     * Constructor method for carVWEPhotosRequestType
     * @uses CarVWEPhotosRequestType::setAtl_code()
     * @param int $atl_code
     */
    public function __construct($atl_code = null)
    {
        $this
            ->setAtl_code($atl_code);
    }
    /**
     * Get atl_code value
     * @return int|null
     */
    public function getAtl_code()
    {
        return $this->atl_code;
    }
    /**
     * Set atl_code value
     * @param int $atl_code
     * @return \StructType\CarVWEPhotosRequestType
     */
    public function setAtl_code($atl_code = null)
    {
        // validation for constraint: int
        if (!is_null($atl_code) && !(is_int($atl_code) || ctype_digit($atl_code))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($atl_code, true), gettype($atl_code)), __LINE__);
        }
        $this->atl_code = $atl_code;
        return $this;
    }
}
