<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for
 * CreditsafeCompanyAdditionalInformationNLIndustryComparisonV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyAdditionalInformationNLIndustryComparisonV2 extends AbstractStructBase
{
    /**
     * The industry_average_credit_rating
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $industry_average_credit_rating;
    /**
     * The industry_average_credit_limit
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $industry_average_credit_limit;
    /**
     * Constructor method for
     * CreditsafeCompanyAdditionalInformationNLIndustryComparisonV2
     * @uses CreditsafeCompanyAdditionalInformationNLIndustryComparisonV2::setIndustry_average_credit_rating()
     * @uses CreditsafeCompanyAdditionalInformationNLIndustryComparisonV2::setIndustry_average_credit_limit()
     * @param float $industry_average_credit_rating
     * @param float $industry_average_credit_limit
     */
    public function __construct($industry_average_credit_rating = null, $industry_average_credit_limit = null)
    {
        $this
            ->setIndustry_average_credit_rating($industry_average_credit_rating)
            ->setIndustry_average_credit_limit($industry_average_credit_limit);
    }
    /**
     * Get industry_average_credit_rating value
     * @return float|null
     */
    public function getIndustry_average_credit_rating()
    {
        return $this->industry_average_credit_rating;
    }
    /**
     * Set industry_average_credit_rating value
     * @param float $industry_average_credit_rating
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLIndustryComparisonV2
     */
    public function setIndustry_average_credit_rating($industry_average_credit_rating = null)
    {
        // validation for constraint: float
        if (!is_null($industry_average_credit_rating) && !(is_float($industry_average_credit_rating) || is_numeric($industry_average_credit_rating))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($industry_average_credit_rating, true), gettype($industry_average_credit_rating)), __LINE__);
        }
        $this->industry_average_credit_rating = $industry_average_credit_rating;
        return $this;
    }
    /**
     * Get industry_average_credit_limit value
     * @return float|null
     */
    public function getIndustry_average_credit_limit()
    {
        return $this->industry_average_credit_limit;
    }
    /**
     * Set industry_average_credit_limit value
     * @param float $industry_average_credit_limit
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLIndustryComparisonV2
     */
    public function setIndustry_average_credit_limit($industry_average_credit_limit = null)
    {
        // validation for constraint: float
        if (!is_null($industry_average_credit_limit) && !(is_float($industry_average_credit_limit) || is_numeric($industry_average_credit_limit))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($industry_average_credit_limit, true), gettype($industry_average_credit_limit)), __LINE__);
        }
        $this->industry_average_credit_limit = $industry_average_credit_limit;
        return $this;
    }
}
