<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyAdvisorV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyAdvisorV2 extends AbstractStructBase
{
    /**
     * The auditor_name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $auditor_name;
    /**
     * The solicitor_name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $solicitor_name;
    /**
     * Constructor method for CreditsafeCompanyAdvisorV2
     * @uses CreditsafeCompanyAdvisorV2::setAuditor_name()
     * @uses CreditsafeCompanyAdvisorV2::setSolicitor_name()
     * @param string $auditor_name
     * @param string $solicitor_name
     */
    public function __construct($auditor_name = null, $solicitor_name = null)
    {
        $this
            ->setAuditor_name($auditor_name)
            ->setSolicitor_name($solicitor_name);
    }
    /**
     * Get auditor_name value
     * @return string|null
     */
    public function getAuditor_name()
    {
        return $this->auditor_name;
    }
    /**
     * Set auditor_name value
     * @param string $auditor_name
     * @return \StructType\CreditsafeCompanyAdvisorV2
     */
    public function setAuditor_name($auditor_name = null)
    {
        // validation for constraint: string
        if (!is_null($auditor_name) && !is_string($auditor_name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($auditor_name, true), gettype($auditor_name)), __LINE__);
        }
        $this->auditor_name = $auditor_name;
        return $this;
    }
    /**
     * Get solicitor_name value
     * @return string|null
     */
    public function getSolicitor_name()
    {
        return $this->solicitor_name;
    }
    /**
     * Set solicitor_name value
     * @param string $solicitor_name
     * @return \StructType\CreditsafeCompanyAdvisorV2
     */
    public function setSolicitor_name($solicitor_name = null)
    {
        // validation for constraint: string
        if (!is_null($solicitor_name) && !is_string($solicitor_name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($solicitor_name, true), gettype($solicitor_name)), __LINE__);
        }
        $this->solicitor_name = $solicitor_name;
        return $this;
    }
}
