<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyGroupStructureV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyGroupStructureV2 extends AbstractStructBase
{
    /**
     * The ultimate_parent
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyCompanyV2
     */
    public $ultimate_parent;
    /**
     * The immediate_parent
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyCompanyV2
     */
    public $immediate_parent;
    /**
     * The subsidiary_companies
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyCompanyV2Array
     */
    public $subsidiary_companies;
    /**
     * The affiliated_companies
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyCompanyV2Array
     */
    public $affiliated_companies;
    /**
     * Constructor method for CreditsafeCompanyGroupStructureV2
     * @uses CreditsafeCompanyGroupStructureV2::setUltimate_parent()
     * @uses CreditsafeCompanyGroupStructureV2::setImmediate_parent()
     * @uses CreditsafeCompanyGroupStructureV2::setSubsidiary_companies()
     * @uses CreditsafeCompanyGroupStructureV2::setAffiliated_companies()
     * @param \StructType\CreditsafeCompanyCompanyV2 $ultimate_parent
     * @param \StructType\CreditsafeCompanyCompanyV2 $immediate_parent
     * @param \ArrayType\CreditsafeCompanyCompanyV2Array $subsidiary_companies
     * @param \ArrayType\CreditsafeCompanyCompanyV2Array $affiliated_companies
     */
    public function __construct(\StructType\CreditsafeCompanyCompanyV2 $ultimate_parent = null, \StructType\CreditsafeCompanyCompanyV2 $immediate_parent = null, \ArrayType\CreditsafeCompanyCompanyV2Array $subsidiary_companies = null, \ArrayType\CreditsafeCompanyCompanyV2Array $affiliated_companies = null)
    {
        $this
            ->setUltimate_parent($ultimate_parent)
            ->setImmediate_parent($immediate_parent)
            ->setSubsidiary_companies($subsidiary_companies)
            ->setAffiliated_companies($affiliated_companies);
    }
    /**
     * Get ultimate_parent value
     * @return \StructType\CreditsafeCompanyCompanyV2|null
     */
    public function getUltimate_parent()
    {
        return $this->ultimate_parent;
    }
    /**
     * Set ultimate_parent value
     * @param \StructType\CreditsafeCompanyCompanyV2 $ultimate_parent
     * @return \StructType\CreditsafeCompanyGroupStructureV2
     */
    public function setUltimate_parent(\StructType\CreditsafeCompanyCompanyV2 $ultimate_parent = null)
    {
        $this->ultimate_parent = $ultimate_parent;
        return $this;
    }
    /**
     * Get immediate_parent value
     * @return \StructType\CreditsafeCompanyCompanyV2|null
     */
    public function getImmediate_parent()
    {
        return $this->immediate_parent;
    }
    /**
     * Set immediate_parent value
     * @param \StructType\CreditsafeCompanyCompanyV2 $immediate_parent
     * @return \StructType\CreditsafeCompanyGroupStructureV2
     */
    public function setImmediate_parent(\StructType\CreditsafeCompanyCompanyV2 $immediate_parent = null)
    {
        $this->immediate_parent = $immediate_parent;
        return $this;
    }
    /**
     * Get subsidiary_companies value
     * @return \ArrayType\CreditsafeCompanyCompanyV2Array|null
     */
    public function getSubsidiary_companies()
    {
        return $this->subsidiary_companies;
    }
    /**
     * Set subsidiary_companies value
     * @param \ArrayType\CreditsafeCompanyCompanyV2Array $subsidiary_companies
     * @return \StructType\CreditsafeCompanyGroupStructureV2
     */
    public function setSubsidiary_companies(\ArrayType\CreditsafeCompanyCompanyV2Array $subsidiary_companies = null)
    {
        $this->subsidiary_companies = $subsidiary_companies;
        return $this;
    }
    /**
     * Get affiliated_companies value
     * @return \ArrayType\CreditsafeCompanyCompanyV2Array|null
     */
    public function getAffiliated_companies()
    {
        return $this->affiliated_companies;
    }
    /**
     * Set affiliated_companies value
     * @param \ArrayType\CreditsafeCompanyCompanyV2Array $affiliated_companies
     * @return \StructType\CreditsafeCompanyGroupStructureV2
     */
    public function setAffiliated_companies(\ArrayType\CreditsafeCompanyCompanyV2Array $affiliated_companies = null)
    {
        $this->affiliated_companies = $affiliated_companies;
        return $this;
    }
}
