<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeSearchCriteria StructType
 * @subpackage Structs
 */
class CreditsafeSearchCriteria extends AbstractStructBase
{
    /**
     * The countries
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \ArrayType\StringArray
     */
    public $countries;
    /**
     * The languages
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \ArrayType\StringArray
     */
    public $languages;
    /**
     * The combinations
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \ArrayType\CreditsafeSearchCriteriaCombinationArray
     */
    public $combinations;
    /**
     * Constructor method for CreditsafeSearchCriteria
     * @uses CreditsafeSearchCriteria::setCountries()
     * @uses CreditsafeSearchCriteria::setLanguages()
     * @uses CreditsafeSearchCriteria::setCombinations()
     * @param \ArrayType\StringArray $countries
     * @param \ArrayType\StringArray $languages
     * @param \ArrayType\CreditsafeSearchCriteriaCombinationArray $combinations
     */
    public function __construct(\ArrayType\StringArray $countries = null, \ArrayType\StringArray $languages = null, \ArrayType\CreditsafeSearchCriteriaCombinationArray $combinations = null)
    {
        $this
            ->setCountries($countries)
            ->setLanguages($languages)
            ->setCombinations($combinations);
    }
    /**
     * Get countries value
     * @return \ArrayType\StringArray
     */
    public function getCountries()
    {
        return $this->countries;
    }
    /**
     * Set countries value
     * @param \ArrayType\StringArray $countries
     * @return \StructType\CreditsafeSearchCriteria
     */
    public function setCountries(\ArrayType\StringArray $countries = null)
    {
        $this->countries = $countries;
        return $this;
    }
    /**
     * Get languages value
     * @return \ArrayType\StringArray
     */
    public function getLanguages()
    {
        return $this->languages;
    }
    /**
     * Set languages value
     * @param \ArrayType\StringArray $languages
     * @return \StructType\CreditsafeSearchCriteria
     */
    public function setLanguages(\ArrayType\StringArray $languages = null)
    {
        $this->languages = $languages;
        return $this;
    }
    /**
     * Get combinations value
     * @return \ArrayType\CreditsafeSearchCriteriaCombinationArray
     */
    public function getCombinations()
    {
        return $this->combinations;
    }
    /**
     * Set combinations value
     * @param \ArrayType\CreditsafeSearchCriteriaCombinationArray $combinations
     * @return \StructType\CreditsafeSearchCriteria
     */
    public function setCombinations(\ArrayType\CreditsafeSearchCriteriaCombinationArray $combinations = null)
    {
        $this->combinations = $combinations;
        return $this;
    }
}
