<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DNBMarketingPlusLinkageResult StructType
 * @subpackage Structs
 */
class DNBMarketingPlusLinkageResult extends AbstractStructBase
{
    /**
     * The marketing
     * @var \StructType\DNBMarketing
     */
    public $marketing;
    /**
     * The marketing_plus
     * @var \StructType\DNBMarketingPlus
     */
    public $marketing_plus;
    /**
     * The marketing_plus_linkage
     * @var \StructType\DNBMarketingPlusLinkage
     */
    public $marketing_plus_linkage;
    /**
     * Constructor method for DNBMarketingPlusLinkageResult
     * @uses DNBMarketingPlusLinkageResult::setMarketing()
     * @uses DNBMarketingPlusLinkageResult::setMarketing_plus()
     * @uses DNBMarketingPlusLinkageResult::setMarketing_plus_linkage()
     * @param \StructType\DNBMarketing $marketing
     * @param \StructType\DNBMarketingPlus $marketing_plus
     * @param \StructType\DNBMarketingPlusLinkage $marketing_plus_linkage
     */
    public function __construct(\StructType\DNBMarketing $marketing = null, \StructType\DNBMarketingPlus $marketing_plus = null, \StructType\DNBMarketingPlusLinkage $marketing_plus_linkage = null)
    {
        $this
            ->setMarketing($marketing)
            ->setMarketing_plus($marketing_plus)
            ->setMarketing_plus_linkage($marketing_plus_linkage);
    }
    /**
     * Get marketing value
     * @return \StructType\DNBMarketing|null
     */
    public function getMarketing()
    {
        return $this->marketing;
    }
    /**
     * Set marketing value
     * @param \StructType\DNBMarketing $marketing
     * @return \StructType\DNBMarketingPlusLinkageResult
     */
    public function setMarketing(\StructType\DNBMarketing $marketing = null)
    {
        $this->marketing = $marketing;
        return $this;
    }
    /**
     * Get marketing_plus value
     * @return \StructType\DNBMarketingPlus|null
     */
    public function getMarketing_plus()
    {
        return $this->marketing_plus;
    }
    /**
     * Set marketing_plus value
     * @param \StructType\DNBMarketingPlus $marketing_plus
     * @return \StructType\DNBMarketingPlusLinkageResult
     */
    public function setMarketing_plus(\StructType\DNBMarketingPlus $marketing_plus = null)
    {
        $this->marketing_plus = $marketing_plus;
        return $this;
    }
    /**
     * Get marketing_plus_linkage value
     * @return \StructType\DNBMarketingPlusLinkage|null
     */
    public function getMarketing_plus_linkage()
    {
        return $this->marketing_plus_linkage;
    }
    /**
     * Set marketing_plus_linkage value
     * @param \StructType\DNBMarketingPlusLinkage $marketing_plus_linkage
     * @return \StructType\DNBMarketingPlusLinkageResult
     */
    public function setMarketing_plus_linkage(\StructType\DNBMarketingPlusLinkage $marketing_plus_linkage = null)
    {
        $this->marketing_plus_linkage = $marketing_plus_linkage;
        return $this;
    }
}
