<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DocumentOverzicht StructType
 * @subpackage Structs
 */
class DocumentOverzicht extends AbstractStructBase
{
    /**
     * The onroerende_zaken
     * @var \ArrayType\OverzichtOnroerendeZaakArray
     */
    public $onroerende_zaken;
    /**
     * Constructor method for DocumentOverzicht
     * @uses DocumentOverzicht::setOnroerende_zaken()
     * @param \ArrayType\OverzichtOnroerendeZaakArray $onroerende_zaken
     */
    public function __construct(\ArrayType\OverzichtOnroerendeZaakArray $onroerende_zaken = null)
    {
        $this
            ->setOnroerende_zaken($onroerende_zaken);
    }
    /**
     * Get onroerende_zaken value
     * @return \ArrayType\OverzichtOnroerendeZaakArray|null
     */
    public function getOnroerende_zaken()
    {
        return $this->onroerende_zaken;
    }
    /**
     * Set onroerende_zaken value
     * @param \ArrayType\OverzichtOnroerendeZaakArray $onroerende_zaken
     * @return \StructType\DocumentOverzicht
     */
    public function setOnroerende_zaken(\ArrayType\OverzichtOnroerendeZaakArray $onroerende_zaken = null)
    {
        $this->onroerende_zaken = $onroerende_zaken;
        return $this;
    }
}
