<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for geoLocationDistanceSortedPostcodesResponseType StructType
 * @subpackage Structs
 */
class GeoLocationDistanceSortedPostcodesResponseType extends AbstractStructBase
{
    /**
     * The postcodes
     * @var \ArrayType\SortedPostcodeArray
     */
    public $postcodes;
    /**
     * Constructor method for geoLocationDistanceSortedPostcodesResponseType
     * @uses GeoLocationDistanceSortedPostcodesResponseType::setPostcodes()
     * @param \ArrayType\SortedPostcodeArray $postcodes
     */
    public function __construct(\ArrayType\SortedPostcodeArray $postcodes = null)
    {
        $this
            ->setPostcodes($postcodes);
    }
    /**
     * Get postcodes value
     * @return \ArrayType\SortedPostcodeArray|null
     */
    public function getPostcodes()
    {
        return $this->postcodes;
    }
    /**
     * Set postcodes value
     * @param \ArrayType\SortedPostcodeArray $postcodes
     * @return \StructType\GeoLocationDistanceSortedPostcodesResponseType
     */
    public function setPostcodes(\ArrayType\SortedPostcodeArray $postcodes = null)
    {
        $this->postcodes = $postcodes;
        return $this;
    }
}
