<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for
 * geoLocationInternationalAddressCoordinatesLatLonResponseType StructType
 * @subpackage Structs
 */
class GeoLocationInternationalAddressCoordinatesLatLonResponseType extends AbstractStructBase
{
    /**
     * The coordinates
     * @var \ArrayType\LatLonCoordinatesInternationalAddressArray
     */
    public $coordinates;
    /**
     * Constructor method for
     * geoLocationInternationalAddressCoordinatesLatLonResponseType
     * @uses GeoLocationInternationalAddressCoordinatesLatLonResponseType::setCoordinates()
     * @param \ArrayType\LatLonCoordinatesInternationalAddressArray $coordinates
     */
    public function __construct(\ArrayType\LatLonCoordinatesInternationalAddressArray $coordinates = null)
    {
        $this
            ->setCoordinates($coordinates);
    }
    /**
     * Get coordinates value
     * @return \ArrayType\LatLonCoordinatesInternationalAddressArray|null
     */
    public function getCoordinates()
    {
        return $this->coordinates;
    }
    /**
     * Set coordinates value
     * @param \ArrayType\LatLonCoordinatesInternationalAddressArray $coordinates
     * @return \StructType\GeoLocationInternationalAddressCoordinatesLatLonResponseType
     */
    public function setCoordinates(\ArrayType\LatLonCoordinatesInternationalAddressArray $coordinates = null)
    {
        $this->coordinates = $coordinates;
        return $this;
    }
}
