<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for kadasterPersoonLijst StructType
 * @subpackage Structs
 */
class KadasterPersoonLijst extends AbstractStructBase
{
    /**
     * The personen
     * @var \ArrayType\KadasterPersoonArray
     */
    public $personen;
    /**
     * The indicatie_compleet
     * @var bool
     */
    public $indicatie_compleet;
    /**
     * Constructor method for kadasterPersoonLijst
     * @uses KadasterPersoonLijst::setPersonen()
     * @uses KadasterPersoonLijst::setIndicatie_compleet()
     * @param \ArrayType\KadasterPersoonArray $personen
     * @param bool $indicatie_compleet
     */
    public function __construct(\ArrayType\KadasterPersoonArray $personen = null, $indicatie_compleet = null)
    {
        $this
            ->setPersonen($personen)
            ->setIndicatie_compleet($indicatie_compleet);
    }
    /**
     * Get personen value
     * @return \ArrayType\KadasterPersoonArray|null
     */
    public function getPersonen()
    {
        return $this->personen;
    }
    /**
     * Set personen value
     * @param \ArrayType\KadasterPersoonArray $personen
     * @return \StructType\KadasterPersoonLijst
     */
    public function setPersonen(\ArrayType\KadasterPersoonArray $personen = null)
    {
        $this->personen = $personen;
        return $this;
    }
    /**
     * Get indicatie_compleet value
     * @return bool|null
     */
    public function getIndicatie_compleet()
    {
        return $this->indicatie_compleet;
    }
    /**
     * Set indicatie_compleet value
     * @param bool $indicatie_compleet
     * @return \StructType\KadasterPersoonLijst
     */
    public function setIndicatie_compleet($indicatie_compleet = null)
    {
        // validation for constraint: boolean
        if (!is_null($indicatie_compleet) && !is_bool($indicatie_compleet)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($indicatie_compleet, true), gettype($indicatie_compleet)), __LINE__);
        }
        $this->indicatie_compleet = $indicatie_compleet;
        return $this;
    }
}
