<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KoopsommenOverzichtV2 StructType
 * @subpackage Structs
 */
class KoopsommenOverzichtV2 extends AbstractStructBase
{
    /**
     * The document
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $document;
    /**
     * The overzicht
     * @var \StructType\KoopsommenOverzicht
     */
    public $overzicht;
    /**
     * Constructor method for KoopsommenOverzichtV2
     * @uses KoopsommenOverzichtV2::setDocument()
     * @uses KoopsommenOverzichtV2::setOverzicht()
     * @param string $document
     * @param \StructType\KoopsommenOverzicht $overzicht
     */
    public function __construct($document = null, \StructType\KoopsommenOverzicht $overzicht = null)
    {
        $this
            ->setDocument($document)
            ->setOverzicht($overzicht);
    }
    /**
     * Get document value
     * @return string|null
     */
    public function getDocument()
    {
        return $this->document;
    }
    /**
     * Set document value
     * @param string $document
     * @return \StructType\KoopsommenOverzichtV2
     */
    public function setDocument($document = null)
    {
        // validation for constraint: string
        if (!is_null($document) && !is_string($document)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($document, true), gettype($document)), __LINE__);
        }
        $this->document = $document;
        return $this;
    }
    /**
     * Get overzicht value
     * @return \StructType\KoopsommenOverzicht|null
     */
    public function getOverzicht()
    {
        return $this->overzicht;
    }
    /**
     * Set overzicht value
     * @param \StructType\KoopsommenOverzicht $overzicht
     * @return \StructType\KoopsommenOverzichtV2
     */
    public function setOverzicht(\StructType\KoopsommenOverzicht $overzicht = null)
    {
        $this->overzicht = $overzicht;
        return $this;
    }
}
