<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for NeighborhoodName StructType
 * @subpackage Structs
 */
class NeighborhoodName extends AbstractStructBase
{
    /**
     * The nbcode
     * @var string
     */
    public $nbcode;
    /**
     * The nbname
     * @var string
     */
    public $nbname;
    /**
     * Constructor method for NeighborhoodName
     * @uses NeighborhoodName::setNbcode()
     * @uses NeighborhoodName::setNbname()
     * @param string $nbcode
     * @param string $nbname
     */
    public function __construct($nbcode = null, $nbname = null)
    {
        $this
            ->setNbcode($nbcode)
            ->setNbname($nbname);
    }
    /**
     * Get nbcode value
     * @return string|null
     */
    public function getNbcode()
    {
        return $this->nbcode;
    }
    /**
     * Set nbcode value
     * @param string $nbcode
     * @return \StructType\NeighborhoodName
     */
    public function setNbcode($nbcode = null)
    {
        // validation for constraint: string
        if (!is_null($nbcode) && !is_string($nbcode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nbcode, true), gettype($nbcode)), __LINE__);
        }
        $this->nbcode = $nbcode;
        return $this;
    }
    /**
     * Get nbname value
     * @return string|null
     */
    public function getNbname()
    {
        return $this->nbname;
    }
    /**
     * Set nbname value
     * @param string $nbname
     * @return \StructType\NeighborhoodName
     */
    public function setNbname($nbname = null)
    {
        // validation for constraint: string
        if (!is_null($nbname) && !is_string($nbname)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nbname, true), gettype($nbname)), __LINE__);
        }
        $this->nbname = $nbname;
        return $this;
    }
}
