<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for sepaConvertBasicBankAccountNumberResponseType StructType
 * @subpackage Structs
 */
class SepaConvertBasicBankAccountNumberResponseType extends AbstractStructBase
{
    /**
     * The bankaccount
     * @var \StructType\SepaBankAccountData
     */
    public $bankaccount;
    /**
     * Constructor method for sepaConvertBasicBankAccountNumberResponseType
     * @uses SepaConvertBasicBankAccountNumberResponseType::setBankaccount()
     * @param \StructType\SepaBankAccountData $bankaccount
     */
    public function __construct(\StructType\SepaBankAccountData $bankaccount = null)
    {
        $this
            ->setBankaccount($bankaccount);
    }
    /**
     * Get bankaccount value
     * @return \StructType\SepaBankAccountData|null
     */
    public function getBankaccount()
    {
        return $this->bankaccount;
    }
    /**
     * Set bankaccount value
     * @param \StructType\SepaBankAccountData $bankaccount
     * @return \StructType\SepaConvertBasicBankAccountNumberResponseType
     */
    public function setBankaccount(\StructType\SepaBankAccountData $bankaccount = null)
    {
        $this->bankaccount = $bankaccount;
        return $this;
    }
}
