<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SepaMatchNameMatchingResult StructType
 * @subpackage Structs
 */
class SepaMatchNameMatchingResult extends AbstractStructBase
{
    /**
     * The type
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $type;
    /**
     * The name_suggestion
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $name_suggestion;
    /**
     * Constructor method for SepaMatchNameMatchingResult
     * @uses SepaMatchNameMatchingResult::setType()
     * @uses SepaMatchNameMatchingResult::setName_suggestion()
     * @param string $type
     * @param string $name_suggestion
     */
    public function __construct($type = null, $name_suggestion = null)
    {
        $this
            ->setType($type)
            ->setName_suggestion($name_suggestion);
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \StructType\SepaMatchNameMatchingResult
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
    /**
     * Get name_suggestion value
     * @return string|null
     */
    public function getName_suggestion()
    {
        return $this->name_suggestion;
    }
    /**
     * Set name_suggestion value
     * @param string $name_suggestion
     * @return \StructType\SepaMatchNameMatchingResult
     */
    public function setName_suggestion($name_suggestion = null)
    {
        // validation for constraint: string
        if (!is_null($name_suggestion) && !is_string($name_suggestion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name_suggestion, true), gettype($name_suggestion)), __LINE__);
        }
        $this->name_suggestion = $name_suggestion;
        return $this;
    }
}
