<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for dutchBusinessGetExtractHistoryDocumentDataRequestType
 * StructType
 * @subpackage Structs
 */
class DutchBusinessGetExtractHistoryDocumentDataRequestType extends AbstractStructBase
{
    /**
     * The extract_id
     * @var string
     */
    public $extract_id;
    /**
     * Constructor method for dutchBusinessGetExtractHistoryDocumentDataRequestType
     * @uses DutchBusinessGetExtractHistoryDocumentDataRequestType::setExtract_id()
     * @param string $extract_id
     */
    public function __construct($extract_id = null)
    {
        $this
            ->setExtract_id($extract_id);
    }
    /**
     * Get extract_id value
     * @return string|null
     */
    public function getExtract_id()
    {
        return $this->extract_id;
    }
    /**
     * Set extract_id value
     * @param string $extract_id
     * @return \StructType\DutchBusinessGetExtractHistoryDocumentDataRequestType
     */
    public function setExtract_id($extract_id = null)
    {
        // validation for constraint: string
        if (!is_null($extract_id) && !is_string($extract_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($extract_id, true), gettype($extract_id)), __LINE__);
        }
        $this->extract_id = $extract_id;
        return $this;
    }
}
