<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchVehicleBodyApproval StructType
 * @subpackage Structs
 */
class DutchVehicleBodyApproval extends AbstractStructBase
{
    /**
     * The type_id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $type_id;
    /**
     * The type_code
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $type_code;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * Constructor method for DutchVehicleBodyApproval
     * @uses DutchVehicleBodyApproval::setType_id()
     * @uses DutchVehicleBodyApproval::setType_code()
     * @uses DutchVehicleBodyApproval::setDescription()
     * @param int $type_id
     * @param string $type_code
     * @param string $description
     */
    public function __construct($type_id = null, $type_code = null, $description = null)
    {
        $this
            ->setType_id($type_id)
            ->setType_code($type_code)
            ->setDescription($description);
    }
    /**
     * Get type_id value
     * @return int|null
     */
    public function getType_id()
    {
        return $this->type_id;
    }
    /**
     * Set type_id value
     * @param int $type_id
     * @return \StructType\DutchVehicleBodyApproval
     */
    public function setType_id($type_id = null)
    {
        // validation for constraint: int
        if (!is_null($type_id) && !(is_int($type_id) || ctype_digit($type_id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($type_id, true), gettype($type_id)), __LINE__);
        }
        $this->type_id = $type_id;
        return $this;
    }
    /**
     * Get type_code value
     * @return string|null
     */
    public function getType_code()
    {
        return $this->type_code;
    }
    /**
     * Set type_code value
     * @param string $type_code
     * @return \StructType\DutchVehicleBodyApproval
     */
    public function setType_code($type_code = null)
    {
        // validation for constraint: string
        if (!is_null($type_code) && !is_string($type_code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type_code, true), gettype($type_code)), __LINE__);
        }
        $this->type_code = $type_code;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \StructType\DutchVehicleBodyApproval
     */
    public function setDescription($description = null)
    {
        // validation for constraint: string
        if (!is_null($description) && !is_string($description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($description, true), gettype($description)), __LINE__);
        }
        $this->description = $description;
        return $this;
    }
}
