<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchVehiclePurchase StructType
 * @subpackage Structs
 */
class DutchVehiclePurchase extends AbstractStructBase
{
    /**
     * The reference_date
     * @var string
     */
    public $reference_date;
    /**
     * The price_data
     * @var \StructType\DutchVehiclePrice
     */
    public $price_data;
    /**
     * Constructor method for DutchVehiclePurchase
     * @uses DutchVehiclePurchase::setReference_date()
     * @uses DutchVehiclePurchase::setPrice_data()
     * @param string $reference_date
     * @param \StructType\DutchVehiclePrice $price_data
     */
    public function __construct($reference_date = null, \StructType\DutchVehiclePrice $price_data = null)
    {
        $this
            ->setReference_date($reference_date)
            ->setPrice_data($price_data);
    }
    /**
     * Get reference_date value
     * @return string|null
     */
    public function getReference_date()
    {
        return $this->reference_date;
    }
    /**
     * Set reference_date value
     * @param string $reference_date
     * @return \StructType\DutchVehiclePurchase
     */
    public function setReference_date($reference_date = null)
    {
        // validation for constraint: string
        if (!is_null($reference_date) && !is_string($reference_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($reference_date, true), gettype($reference_date)), __LINE__);
        }
        $this->reference_date = $reference_date;
        return $this;
    }
    /**
     * Get price_data value
     * @return \StructType\DutchVehiclePrice|null
     */
    public function getPrice_data()
    {
        return $this->price_data;
    }
    /**
     * Set price_data value
     * @param \StructType\DutchVehiclePrice $price_data
     * @return \StructType\DutchVehiclePurchase
     */
    public function setPrice_data(\StructType\DutchVehiclePrice $price_data = null)
    {
        $this->price_data = $price_data;
        return $this;
    }
}
