<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchVehiclePurchaseReference StructType
 * @subpackage Structs
 */
class DutchVehiclePurchaseReference extends AbstractStructBase
{
    /**
     * The basic_data
     * @var \StructType\DutchVehicleData
     */
    public $basic_data;
    /**
     * The reference
     * @var \StructType\DutchVehicleReference
     */
    public $reference;
    /**
     * The purchase_data
     * @var \StructType\DutchVehiclePurchase
     */
    public $purchase_data;
    /**
     * Constructor method for DutchVehiclePurchaseReference
     * @uses DutchVehiclePurchaseReference::setBasic_data()
     * @uses DutchVehiclePurchaseReference::setReference()
     * @uses DutchVehiclePurchaseReference::setPurchase_data()
     * @param \StructType\DutchVehicleData $basic_data
     * @param \StructType\DutchVehicleReference $reference
     * @param \StructType\DutchVehiclePurchase $purchase_data
     */
    public function __construct(\StructType\DutchVehicleData $basic_data = null, \StructType\DutchVehicleReference $reference = null, \StructType\DutchVehiclePurchase $purchase_data = null)
    {
        $this
            ->setBasic_data($basic_data)
            ->setReference($reference)
            ->setPurchase_data($purchase_data);
    }
    /**
     * Get basic_data value
     * @return \StructType\DutchVehicleData|null
     */
    public function getBasic_data()
    {
        return $this->basic_data;
    }
    /**
     * Set basic_data value
     * @param \StructType\DutchVehicleData $basic_data
     * @return \StructType\DutchVehiclePurchaseReference
     */
    public function setBasic_data(\StructType\DutchVehicleData $basic_data = null)
    {
        $this->basic_data = $basic_data;
        return $this;
    }
    /**
     * Get reference value
     * @return \StructType\DutchVehicleReference|null
     */
    public function getReference()
    {
        return $this->reference;
    }
    /**
     * Set reference value
     * @param \StructType\DutchVehicleReference $reference
     * @return \StructType\DutchVehiclePurchaseReference
     */
    public function setReference(\StructType\DutchVehicleReference $reference = null)
    {
        $this->reference = $reference;
        return $this;
    }
    /**
     * Get purchase_data value
     * @return \StructType\DutchVehiclePurchase|null
     */
    public function getPurchase_data()
    {
        return $this->purchase_data;
    }
    /**
     * Set purchase_data value
     * @param \StructType\DutchVehiclePurchase $purchase_data
     * @return \StructType\DutchVehiclePurchaseReference
     */
    public function setPurchase_data(\StructType\DutchVehiclePurchase $purchase_data = null)
    {
        $this->purchase_data = $purchase_data;
        return $this;
    }
}
