<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GraydonCreditReportCalamity StructType
 * @subpackage Structs
 */
class GraydonCreditReportCalamity extends AbstractStructBase
{
    /**
     * The company
     * @var \StructType\GCRCompanyItselfCalamity
     */
    public $company;
    /**
     * The company_relations
     * @var \StructType\GCRCompanyRelationsSimple
     */
    public $company_relations;
    /**
     * Constructor method for GraydonCreditReportCalamity
     * @uses GraydonCreditReportCalamity::setCompany()
     * @uses GraydonCreditReportCalamity::setCompany_relations()
     * @param \StructType\GCRCompanyItselfCalamity $company
     * @param \StructType\GCRCompanyRelationsSimple $company_relations
     */
    public function __construct(\StructType\GCRCompanyItselfCalamity $company = null, \StructType\GCRCompanyRelationsSimple $company_relations = null)
    {
        $this
            ->setCompany($company)
            ->setCompany_relations($company_relations);
    }
    /**
     * Get company value
     * @return \StructType\GCRCompanyItselfCalamity|null
     */
    public function getCompany()
    {
        return $this->company;
    }
    /**
     * Set company value
     * @param \StructType\GCRCompanyItselfCalamity $company
     * @return \StructType\GraydonCreditReportCalamity
     */
    public function setCompany(\StructType\GCRCompanyItselfCalamity $company = null)
    {
        $this->company = $company;
        return $this;
    }
    /**
     * Get company_relations value
     * @return \StructType\GCRCompanyRelationsSimple|null
     */
    public function getCompany_relations()
    {
        return $this->company_relations;
    }
    /**
     * Set company_relations value
     * @param \StructType\GCRCompanyRelationsSimple $company_relations
     * @return \StructType\GraydonCreditReportCalamity
     */
    public function setCompany_relations(\StructType\GCRCompanyRelationsSimple $company_relations = null)
    {
        $this->company_relations = $company_relations;
        return $this;
    }
}
