<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GraydonCreditReportCompanyLiaisons StructType
 * @subpackage Structs
 */
class GraydonCreditReportCompanyLiaisons extends AbstractStructBase
{
    /**
     * The concern_liaisons
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRLiaisonArray
     */
    public $concern_liaisons;
    /**
     * The companies
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRLiaisonCompanyArray
     */
    public $companies;
    /**
     * The alarm
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRAlarm
     */
    public $alarm;
    /**
     * Constructor method for GraydonCreditReportCompanyLiaisons
     * @uses GraydonCreditReportCompanyLiaisons::setConcern_liaisons()
     * @uses GraydonCreditReportCompanyLiaisons::setCompanies()
     * @uses GraydonCreditReportCompanyLiaisons::setAlarm()
     * @param \ArrayType\GCRLiaisonArray $concern_liaisons
     * @param \ArrayType\GCRLiaisonCompanyArray $companies
     * @param \StructType\GCRAlarm $alarm
     */
    public function __construct(\ArrayType\GCRLiaisonArray $concern_liaisons = null, \ArrayType\GCRLiaisonCompanyArray $companies = null, \StructType\GCRAlarm $alarm = null)
    {
        $this
            ->setConcern_liaisons($concern_liaisons)
            ->setCompanies($companies)
            ->setAlarm($alarm);
    }
    /**
     * Get concern_liaisons value
     * @return \ArrayType\GCRLiaisonArray|null
     */
    public function getConcern_liaisons()
    {
        return $this->concern_liaisons;
    }
    /**
     * Set concern_liaisons value
     * @param \ArrayType\GCRLiaisonArray $concern_liaisons
     * @return \StructType\GraydonCreditReportCompanyLiaisons
     */
    public function setConcern_liaisons(\ArrayType\GCRLiaisonArray $concern_liaisons = null)
    {
        $this->concern_liaisons = $concern_liaisons;
        return $this;
    }
    /**
     * Get companies value
     * @return \ArrayType\GCRLiaisonCompanyArray|null
     */
    public function getCompanies()
    {
        return $this->companies;
    }
    /**
     * Set companies value
     * @param \ArrayType\GCRLiaisonCompanyArray $companies
     * @return \StructType\GraydonCreditReportCompanyLiaisons
     */
    public function setCompanies(\ArrayType\GCRLiaisonCompanyArray $companies = null)
    {
        $this->companies = $companies;
        return $this;
    }
    /**
     * Get alarm value
     * @return \StructType\GCRAlarm|null
     */
    public function getAlarm()
    {
        return $this->alarm;
    }
    /**
     * Set alarm value
     * @param \StructType\GCRAlarm $alarm
     * @return \StructType\GraydonCreditReportCompanyLiaisons
     */
    public function setAlarm(\StructType\GCRAlarm $alarm = null)
    {
        $this->alarm = $alarm;
        return $this;
    }
}
