<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for kadasterV2GetBronDocumentResponseType StructType
 * @subpackage Structs
 */
class KadasterV2GetBronDocumentResponseType extends AbstractStructBase
{
    /**
     * The resultaat
     * @var \StructType\KadasterV2BronDocumentResponse
     */
    public $resultaat;
    /**
     * Constructor method for kadasterV2GetBronDocumentResponseType
     * @uses KadasterV2GetBronDocumentResponseType::setResultaat()
     * @param \StructType\KadasterV2BronDocumentResponse $resultaat
     */
    public function __construct(\StructType\KadasterV2BronDocumentResponse $resultaat = null)
    {
        $this
            ->setResultaat($resultaat);
    }
    /**
     * Get resultaat value
     * @return \StructType\KadasterV2BronDocumentResponse|null
     */
    public function getResultaat()
    {
        return $this->resultaat;
    }
    /**
     * Set resultaat value
     * @param \StructType\KadasterV2BronDocumentResponse $resultaat
     * @return \StructType\KadasterV2GetBronDocumentResponseType
     */
    public function setResultaat(\StructType\KadasterV2BronDocumentResponse $resultaat = null)
    {
        $this->resultaat = $resultaat;
        return $this;
    }
}
