<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Mandeligheid StructType
 * @subpackage Structs
 */
class Mandeligheid extends AbstractStructBase
{
    /**
     * The mandelige_percelen
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadastraleAanduidingLijst
     */
    public $mandelige_percelen;
    /**
     * The hoofd_percelen
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadastraleAanduidingLijst
     */
    public $hoofd_percelen;
    /**
     * Constructor method for Mandeligheid
     * @uses Mandeligheid::setMandelige_percelen()
     * @uses Mandeligheid::setHoofd_percelen()
     * @param \StructType\KadastraleAanduidingLijst $mandelige_percelen
     * @param \StructType\KadastraleAanduidingLijst $hoofd_percelen
     */
    public function __construct(\StructType\KadastraleAanduidingLijst $mandelige_percelen = null, \StructType\KadastraleAanduidingLijst $hoofd_percelen = null)
    {
        $this
            ->setMandelige_percelen($mandelige_percelen)
            ->setHoofd_percelen($hoofd_percelen);
    }
    /**
     * Get mandelige_percelen value
     * @return \StructType\KadastraleAanduidingLijst|null
     */
    public function getMandelige_percelen()
    {
        return $this->mandelige_percelen;
    }
    /**
     * Set mandelige_percelen value
     * @param \StructType\KadastraleAanduidingLijst $mandelige_percelen
     * @return \StructType\Mandeligheid
     */
    public function setMandelige_percelen(\StructType\KadastraleAanduidingLijst $mandelige_percelen = null)
    {
        $this->mandelige_percelen = $mandelige_percelen;
        return $this;
    }
    /**
     * Get hoofd_percelen value
     * @return \StructType\KadastraleAanduidingLijst|null
     */
    public function getHoofd_percelen()
    {
        return $this->hoofd_percelen;
    }
    /**
     * Set hoofd_percelen value
     * @param \StructType\KadastraleAanduidingLijst $hoofd_percelen
     * @return \StructType\Mandeligheid
     */
    public function setHoofd_percelen(\StructType\KadastraleAanduidingLijst $hoofd_percelen = null)
    {
        $this->hoofd_percelen = $hoofd_percelen;
        return $this;
    }
}
