<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for sepaIbanDetailsRequestType StructType
 * @subpackage Structs
 */
class SepaIbanDetailsRequestType extends AbstractStructBase
{
    /**
     * The iban
     * @var string
     */
    public $iban;
    /**
     * Constructor method for sepaIbanDetailsRequestType
     * @uses SepaIbanDetailsRequestType::setIban()
     * @param string $iban
     */
    public function __construct($iban = null)
    {
        $this
            ->setIban($iban);
    }
    /**
     * Get iban value
     * @return string|null
     */
    public function getIban()
    {
        return $this->iban;
    }
    /**
     * Set iban value
     * @param string $iban
     * @return \StructType\SepaIbanDetailsRequestType
     */
    public function setIban($iban = null)
    {
        // validation for constraint: string
        if (!is_null($iban) && !is_string($iban)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iban, true), gettype($iban)), __LINE__);
        }
        $this->iban = $iban;
        return $this;
    }
}
